#ifndef CHECKBOX_H
#define CHECKBOX_H

#include "clickablelabel.h"
#include <QObject>
#include <QtWidgets>
#include <QtGui>

class CheckBox : public QWidget//, public QCheckBox
{
  Q_OBJECT
  private:
    QCheckBox *cb;
    ClickableLabel *label;
  public:
    explicit CheckBox( QWidget *parent = 0 );
signals:
    void stateChanged( int );
  public slots:
    void setCB( void );
    void setText( QString text );
    void setChecked( bool state );
    bool isChecked( void );
};

#endif // CHECKBOX_H
